---
title: Delete Translation
description: The DELETE /environments/{{envID}}/translations/{{locale}} operation deletes translation keys for the specified locale. Applicable only to DaVinci module custom messages.
component: pingone-api
page_id: pingone-api:platform:language-management/language-translations/delete-translation
canonical_url: https://developer.pingidentity.com/pingone-api/platform/language-management/language-translations/delete-translation.html
section_ids:
  headers: Headers
  body: Body
  example-request: Example Request
  example-response: Example Response
---

# Delete Translation

##

```none
DELETE {{apiPath}}/v1/environments/{{envID}}/translations/{{locale}}?module=forms&block=customMessages
```

The `DELETE /environments/{{envID}}/translations/{{locale}}` operation deletes translation keys for the specified locale. Applicable only to DaVinci module custom messages.

|   |                                                                   |
| - | ----------------------------------------------------------------- |
|   | **Note**: Only the English `en` locale is supported at this time. |

This operation uses SCIM filtering expressions added to the request URL using the `module` and `block` query parameters. Specify `forms` for `module` and `customMessages` for `block`.

The translation key(s) to delete are specified by the `key` string values in the request body.

When successful, this operation returns a `200 OK` status message, and a status message in the response body.

> **Collapse: Query parameters**
>
> | Parameter | Description                                                        |
> | --------- | ------------------------------------------------------------------ |
> | `module`  | Filters results for the specified UI module.                       |
> | `block`   | Filters results for the set of UI strings in the specified module. |

> **Collapse: Request Model**
>
> For complete property descriptions, refer to [Languages translation request data model](../language-translations.html#languages-translation-request-data-model).
>
> | Property | Type   | Required? |
> | -------- | ------ | --------- |
> | `key`    | String | Required  |

### Headers

Authorization      Bearer {{accessToken}}

Content-Type      application/json

### Body

raw ( application/json )

```json
[
      "forms.fields.customkey1",
      "forms.fields.customkey2",
      "forms.fields.customkey3"
]
```

##

### Example Request

* cURL

* C#

* Go

* HTTP

* Java

* jQuery

* NodeJS

* Python

* PHP

* Ruby

* Swift

```shell
curl --location --globoff --request DELETE '{{apiPath}}/v1/environments/{{envID}}/translations/{{locale}}?module=forms&block=customMessages' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {{accessToken}}' \
--data '[
      "forms.fields.customkey1",
      "forms.fields.customkey2",
      "forms.fields.customkey3"
]'
```

```csharp
var options = new RestClientOptions("{{apiPath}}/v1/environments/{{envID}}/translations/{{locale}}?module=forms&block=customMessages")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Delete);
request.AddHeader("Content-Type", "application/json");
request.AddHeader("Authorization", "Bearer {{accessToken}}");
var body = @"[     " + "\n" +
@"      ""forms.fields.customkey1""," + "\n" +
@"      ""forms.fields.customkey2""," + "\n" +
@"      ""forms.fields.customkey3""" + "\n" +
@"]" + "\n" +
@"";
request.AddStringBody(body, DataFormat.Json);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
```

```golang
package main

import (
  "fmt"
  "strings"
  "net/http"
  "io"
)

func main() {

  url := "{{apiPath}}/v1/environments/{{envID}}/translations/{{locale}}?module=forms&block=customMessages"
  method := "DELETE"

  payload := strings.NewReader(`[
      "forms.fields.customkey1",
      "forms.fields.customkey2",
      "forms.fields.customkey3"
]`)

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, payload)

  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("Content-Type", "application/json")
  req.Header.Add("Authorization", "Bearer {{accessToken}}")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := io.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

```http
DELETE /v1/environments/{{envID}}/translations/{{locale}}?module=forms&block=customMessages HTTP/1.1
Host: {{apiPath}}
Content-Type: application/json
Authorization: Bearer {{accessToken}}

[
      "forms.fields.customkey1",
      "forms.fields.customkey2",
      "forms.fields.customkey3"
]
```

```java
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "[     \n      \"forms.fields.customkey1\",\n      \"forms.fields.customkey2\",\n      \"forms.fields.customkey3\"\n]\n");
Request request = new Request.Builder()
  .url("{{apiPath}}/v1/environments/{{envID}}/translations/{{locale}}?module=forms&block=customMessages")
  .method("DELETE", body)
  .addHeader("Content-Type", "application/json")
  .addHeader("Authorization", "Bearer {{accessToken}}")
  .build();
Response response = client.newCall(request).execute();
```

```javascript
var settings = {
  "url": "{{apiPath}}/v1/environments/{{envID}}/translations/{{locale}}?module=forms&block=customMessages",
  "method": "DELETE",
  "timeout": 0,
  "headers": {
    "Content-Type": "application/json",
    "Authorization": "Bearer {{accessToken}}"
  },
  "data": JSON.stringify([
    "forms.fields.customkey1",
    "forms.fields.customkey2",
    "forms.fields.customkey3"
  ]),
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
```

```javascript
var request = require('request');
var options = {
  'method': 'DELETE',
  'url': '{{apiPath}}/v1/environments/{{envID}}/translations/{{locale}}?module=forms&block=customMessages',
  'headers': {
    'Content-Type': 'application/json',
    'Authorization': 'Bearer {{accessToken}}'
  },
  body: JSON.stringify([
    "forms.fields.customkey1",
    "forms.fields.customkey2",
    "forms.fields.customkey3"
  ])

};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});
```

```python
import requests
import json

url = "{{apiPath}}/v1/environments/{{envID}}/translations/{{locale}}?module=forms&block=customMessages"

payload = json.dumps([
  "forms.fields.customkey1",
  "forms.fields.customkey2",
  "forms.fields.customkey3"
])
headers = {
  'Content-Type': 'application/json',
  'Authorization': 'Bearer {{accessToken}}'
}

response = requests.request("DELETE", url, headers=headers, data=payload)

print(response.text)
```

```php
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('{{apiPath}}/v1/environments/{{envID}}/translations/{{locale}}?module=forms&block=customMessages');
$request->setMethod(HTTP_Request2::METHOD_DELETE);
$request->setConfig(array(
  'follow_redirects' => TRUE
));
$request->setHeader(array(
  'Content-Type' => 'application/json',
  'Authorization' => 'Bearer {{accessToken}}'
));
$request->setBody('[     \n      "forms.fields.customkey1",\n      "forms.fields.customkey2",\n      "forms.fields.customkey3"\n]');
try {
  $response = $request->send();
  if ($response->getStatus() == 200) {
    echo $response->getBody();
  }
  else {
    echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
    $response->getReasonPhrase();
  }
}
catch(HTTP_Request2_Exception $e) {
  echo 'Error: ' . $e->getMessage();
}
```

```ruby
require "uri"
require "json"
require "net/http"

url = URI("{{apiPath}}/v1/environments/{{envID}}/translations/{{locale}}?module=forms&block=customMessages")

http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Delete.new(url)
request["Content-Type"] = "application/json"
request["Authorization"] = "Bearer {{accessToken}}"
request.body = JSON.dump([
  "forms.fields.customkey1",
  "forms.fields.customkey2",
  "forms.fields.customkey3"
])

response = http.request(request)
puts response.read_body
```

```swift
let parameters = "[     \n      \"forms.fields.customkey1\",\n      \"forms.fields.customkey2\",\n      \"forms.fields.customkey3\"\n]"
let postData = parameters.data(using: .utf8)

var request = URLRequest(url: URL(string: "{{apiPath}}/v1/environments/{{envID}}/translations/{{locale}}?module=forms&block=customMessages")!,timeoutInterval: Double.infinity)
request.addValue("application/json", forHTTPHeaderField: "Content-Type")
request.addValue("Bearer {{accessToken}}", forHTTPHeaderField: "Authorization")

request.httpMethod = "DELETE"
request.httpBody = postData

let task = URLSession.shared.dataTask(with: request) { data, response, error in
  guard let data = data else {
    print(String(describing: error))
    return
  }
  print(String(data: data, encoding: .utf8)!)
}

task.resume()
```

### Example Response

200 OK

```json
{
    "id": "5815b9b8-e1f5-43fa-b69c-914f9c49da93",
    "code": "SUCCESS",
    "message": "Keys deleted successfully."
}
```
